using Siger.Middlelayer.Utility.ExcelImport;

namespace Siger.Middlelayer.Utility.ImportEntities
{
    public class MachineEfficiencyAnalysis : ImportBase
    {
        [ExcelColumn("序号")]
        public int No { get; set; }

        [ExcelColumn("设备位置")]
        public string Section { get; set; }

        [ExcelColumn("程序号")]
        public string ProgramNo { get; set; }

        [ExcelColumn("产品名称")]
        public string ProductName { get; set; }

        [ExcelColumn("工序名称")]
        public string RouteName { get; set; }

        [ExcelColumn("应产出数量")]
        public string Yield { get; set; }

        [ExcelColumn("实际产出数量")]
        public string ActualYield { get; set; }

        [ExcelColumn("总效率")]
        public string Efficiency { get; set; }

        [ExcelColumn("空闲损失")]
        public string IdleLoss { get; set; }

        [ExcelColumn("调试损失")]
        public string DebugLoss { get; set; }

        [ExcelColumn("故障损失")]
        public string FaultLoss { get; set; }

        [ExcelColumn("计划外停机损失")]
        public string ShutDownLoss { get; set; }
    }
}
